%define upstream_name    Convert-ASN1
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    ASN.1 Encode/Decode library for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/authors/id/GBARR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Math::BigInt) >= 1.997.0
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%description
Perl module used to encode and decode ASN.1 data structures using
BER/DER rules.

Needed by webmin to handle the OpenLDAP modules properly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml SIGNATURE examples
%{perl_vendorlib}/Convert/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 364757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 0.260.0-1.mga3
+ Revision: 261498
- update to 0.26

* Sat Jun 09 2012 jquelin <jquelin> 0.250.0-1.mga3
+ Revision: 258806
- update to 0.25

* Wed Jun 06 2012 jquelin <jquelin> 0.240.0-1.mga3
+ Revision: 256099
- update to 0.24

* Fri Jan 21 2011 jquelin <jquelin> 0.220.0-2.mga1
+ Revision: 29387
- rebuild
- mageia rebuild

* Mon Jan 17 2011 spuhler <spuhler> 0.220.0-1.mga1
+ Revision: 20824
- removed buildroot definition from .spec

  + jquelin <jquelin>
    - imported package perl-Convert-ASN1

